<!doctype html>
<html>
<head>
	<title>Ping Monitor by Antradar</title>
</head>
<body>

<div style="padding:50px;font-size:14px;font-family:arial, sans-serif;">
This page measures the response time from your browser to our server every 10 seconds.<br>
Any potential changes to your IP address is logged on this page.<br><br>
The purpose of this tool is to monitor <em>your</em> network connection.
<br><br>
Last ping: <span id="measure"></span>ms

</div>



<div id="view" style="padding:0 50px;">

</div>

<script src="nano.js"></script>

<script>

function addbar(height,error){
	var view=gid('view');
	var bar=document.createElement('div');
	bar.style.fontSize='1px';
	bar.style.backgroundColor='#848cf7';

	if (height>100) bar.style.backgroundColor='#ffab00';
	if (height>200) bar.style.backgroundColor='#FF7901';
	
	var dheight=Math.log(height+1)*5/Math.log(2);	
	
	if (error) bar.style.backgroundColor='#ab0200';
	bar.style.float='left';
	bar.style.cssFloat='left';
	bar.style.styleFloat='left';
	bar.style.width='3px';
	bar.style.verticalAlign='bottom';
	bar.style.height=dheight+'px';
	bar.style.marginTop='20px';
	
	view.appendChild(bar);	
}

function newip(){
	var view=gid('view');
	
	var ip=document.createElement('div');
	ip.style.clear='both';
	ip.style.cssClear='both';
	ip.innerHTML='<h2>'+view.lastip+'<h2>';
	view.appendChild(ip);
		
}

function ping(){
	var view=gid('view');
	var rq=xmlHTTPRequestObject();
	
	if (view.rqobj){
		view.rqobj.abort();
		view.rqobj=null;
	}

	rq.open('GET','ip.php?hb='+hb(),true);
	rq.onreadystatechange=function(){
		if (rq.readyState==4){
			if (rq.status==200||rq.status==304){
				if (view.offline){
					view.lasttime=hb();	
				}
				var offset=hb()-view.lasttime;
				gid('measure').innerHTML=offset;
				if (view.lastip!=rq.responseText){
					view.lastip=rq.responseText;
					newip();	
				}
				view.offline=null;
				addbar(offset);
			} else {
				if (!view.offline) addbar(50,true);
				view.offline=true;
			}
		}
		
	}
		
	view.rqobj=rq;
	view.lasttime=hb();	
	rq.send(null);
		
	
}

ping();
setInterval(ping,10000);


</script>

</body>
</html>